Package org.eclipse.emf.cdo.security.impl

## Class ResourceFilterImpl.RegexMatcher

- java.lang.Object
- - org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.RegexMatcher

- All Implemented Interfaces:
    `ResourceFilterImpl.Matcher`
  Enclosing class:
    ResourceFilterImpl

      protected static class ResourceFilterImpl.RegexMatcher
      extends java.lang.Object
      implements ResourceFilterImpl.Matcher

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegexMatcher​(java.lang.String path)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PatternStyle` | `getParentPatternStyle()` |
    `boolean` | `matches​(java.lang.String revisionPath)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexMatcher

          public RegexMatcher​(java.lang.String path)

  - ### Method Detail

    - #### matches

          public boolean matches​(java.lang.String revisionPath)

      Specified by:
        `matches` in interface `ResourceFilterImpl.Matcher`

    - #### getParentPatternStyle

          public PatternStyle getParentPatternStyle()

      Specified by:
        `getParentPatternStyle` in interface `ResourceFilterImpl.Matcher`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`